<?php
session_start();

if(!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true){
    header("Location: index.php");
    exit;
}

// 清除会话
function clearSession() {
  unset($_SESSION['logged_in']);
}

?>
<!DOCTYPE html>
<html>
<head>
    <title>深蓝文本共享</title>
    <style>
        .container {
            width: 500px;
            margin: 0 auto;
            margin-top: 100px; /* 距离顶部的距离，可以根据需要进行调整 */
            padding: 20px;
            border: 1px solid #ccc;
            border-radius: 10px;
            
            
        }

        .input-box {
            width: 97%;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-bottom: 10px;
            font-size: 18px;
            height: 500px;
        }

        .button {
            padding: 10px 20px;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            font-size: 18px;
            height:60px;
            width: 147px;
        }
        /*适配手机 */
         @media screen and (max-device-width: 1284px) {
             
       
        
        .container {
            width: 800px;
            margin: 0 auto;
            margin-top: 100px; /* 距离顶部的距离，可以根据需要进行调整 */
            padding: 20px;
            border: 1px solid #ccc;
            border-radius: 10px;
            
            
        }
         .input-box {
            width: 97%;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-bottom: 10px;
            font-size: 50px;
            height: 900px;
        }
        
        
         .button {
            width: 800px;
            height: 150px;
            margin-top: 1px; 
            font-size: 40px;
        }
        
    }
   
}
    </style>
</head>
<body>
    
    

    <div class="container">
        <?php
        $content = ""; // 初始化内容变量

        if ($_SERVER["REQUEST_METHOD"] == "POST") {
            //$inputPassword = $_POST["password"];
                $content = $_POST["content"];
                // 把内容保存到文件中
                file_put_contents("db_note.db", $content);
           
        }

        if (file_exists("db_note.db")) {
            $content = file_get_contents("db_note.db");
        }
        ?>

        <form method="POST" action="<?php echo $_SERVER["PHP_SELF"]; ?>">
            
            <textarea id="content" name="content" placeholder="请输入内容" class="input-box"><?php echo $content; ?></textarea>
            
            <button type="button" class="button"  onclick="location.reload()">刷新</button> 
            &nbsp;&nbsp;&nbsp;&nbsp;
            <button id="copyButton" class="button" >复制</button>
             &nbsp;&nbsp;&nbsp;&nbsp;
            <button type="submit" class="button" >修改</button>
            &nbsp;&nbsp;&nbsp;
           
        </form>
        
        
<script>
  var copyButton = document.getElementById('copyButton');
  var textarea = document.getElementById('content');

  copyButton.addEventListener('click', function() {
    textarea.select(); // 选中textarea中的文本
    document.execCommand('copy'); // 复制选中的文本到剪贴板
    alert('已复制到剪贴板'); // 可选的提示信息
  });
</script>

        <script>
          if ( window.history.replaceState ) {
        window.history.replaceState( null, null, window.location.href );
         }
        </script> 
    </div>
</body>
</html>
